/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
/* This is an example for iswxdigit(wint_t).  This function will return a
   non-zero value if the parameter is a hexadecimal digit.
*/
#include <wctype.h>
#include <wchar.h>

int main() { 
    wint_t wc;

    wc = 'A';
    fputwc(wc, stdout);
    if(iswxdigit(wc) != 0)
        printf(": is a hexadecimal digit.\n");
    else
        printf(": is not a hexadecimal digit.\n");
}

